Jump to content
Dark26

Le Linux BAR - Discussion de tout et de rien

Recommended Posts

hum. Ce qui fait gagner en réactivité au lancement d'un appli, c'est le fait que toutes les lib partagées soit déjà en RAM (et pas swapé out). Sachant que linux ne vire de la RAM (que ce soit en swap ou bien à la poubelle) que quand c'est nécéssaire, tu peux peut-être te faire un scripte qui lance pleins d'applis au démarrage et les kill peu après, ça devrait suffire (ça c'est pour le côté gruiiiiik), sinon une autre façon moins gruik : monter /usr/lib en RAM et copier dedans ce qui va bien. attention, y a moyen de casser des trucs en faisant ça (notament quand tu upgrade des packages, à voir si le prélink n'est pas dans les choux, etc...)

La solution la plus mieux serait de regarder comment knoppix fait :byebye:

my 2 cents :yes:

Je trouve que ça fait un peu crade le fait de lancer plein d'appli au démarrage pour les killer après. D'autant, qu'il peut y avoir des effets de bord indésirables: récupération de mail, connection Web....

Monter /usr/lib seul... quitte à avoir de la RAM autant mettre /usr entier (sauf /usr/portage, /usr/src et les doc, man qui sont dans /usr/share) car il y a pas que les lib qui prenne du temps à charger, il y a aussi tout les petit éléments graphiques (icones...) et des lib ils y en a aussi dasn /usr/qt et /usr/kde ....

Le problème avec knoppix, c'est qu'ils ont pas à resynchroniser les données à l'extinction du PC :byebye: du coup, j'aurais le démarrage mais pas l'arrêt. Enfin, c'est déjà la moitié de fait :incline:

Share this post


Link to post
Share on other sites
tuXXX, tes imagettes de signatures sont toutes cassées... :francais:

Merci, j'essairais de les réparer si je trouve le temps.

Share this post


Link to post
Share on other sites
salut

Cela fait que certaine carte legacy n'ont pas de driver pour des kernel recent .

J'ai une Geforce4, c'est vieux je sais, mais si je veux un kernel recent sur ma debian je ne peux pas avoir de 3D avec les drivers nvidia .

Car je suis en legacy et ça compil pas .

a+

Euhm j'ai une nVidia Corporation NV18 [GeForce4 MX 4000] (rev c1) avec la version 1.0.9639 de nvidia-glx sur une Ubuntu Gutsy avec ce noyau 2.6.22.4-14.9 t'es en debian stable ?

Share this post


Link to post
Share on other sites

les nouveau fglrx ? y a plein de types qui reportent un paquets de problème avec les cartes non hd2k... En plus je suis pas sûr qu'il y ait un gain de perfs pour les vieilles cartes avec ces drivers...

EDIT : je me permets de quoter un message du forum de phoronix :

Ok now some tests!

It's so sad to show how our waiting hasn't been usefull to anything.

The results are for Slackware 12.0, Radeon 9600 All in Wonder Edition:

Driver Radeon Open Source 6.6.192

1) Compiz + AIGLX runs better than any other solution/driver

2) Glxgears -> about 1180 FPS

3) Unreal Tournament 2004 3334 demo-> about 110 FPS (in a particular static situation)

4) Xmame - Opengl with a particular rom -> always 53/53 FPS

Driver fglrx 8.42.3

1) Compiz + AIGLX runs worst than any other solution/driver

2) Glxgears -> about 1580 FPS

3) Unreal Tournament 2004 3334 demo-> about 200 FPS (in the same particular situation of open source driver)

4) Xmame - Opengl with the same particular rom used in radeon open source driver test-> about 40/53 FPS

notes: fgl_glxgears is about 330 FPS

http://www.phoronix.com/forums/showpost.ph...p;postcount=206

Edited by lorinc

Share this post


Link to post
Share on other sites

J'ai installé les drivers proprio sur mon portable munis d'une 9700mobility et je n'arrive pas à faire reconnaitre ma carte :transpi:

Chaque fois j'ai droit au mesa !

Share this post


Link to post
Share on other sites
J'ai installé les drivers proprio sur mon portable munis d'une 9700mobility et je n'arrive pas à faire reconnaitre ma carte :transpi:

Chaque fois j'ai droit au mesa !

Il serait peut-être temps de mettre à jour la version de fglrx dans les dépôts sous Ubuntu.

La version 8.37.6 commence à accuser le poids des mois. Même si vous me direz qu'elle a le mérite d'être stable.

Tandis que la mettre à jour selon un tutorial théoriquement approprié ne fonctionne pas toujours et peut donner lieu à des soucis difficiles à récupérer (expérience INside avec la 8.41).

Share this post


Link to post
Share on other sites

Pour une raison qui m'est inconnue, l'accélération 3D fonctionne avec le fglrx des paquets et AiGLX :chinois:

Il doit rester des bidouilles du fait que j'ai installé le driver proprio venant du site ati...

Bref, quoi que j'ai fait exactement ?

- virer fglrx des paquets

- installer celui du site ati en générant les paquets

- me rendre compte que ça ne fonctionnait pas

- virer ce que j'ai installé à coup de apt-get remove

- réinstaller celui des paquets

- me rendre compte que plus rien ne va

- sudo depmod -a

Tout fonctionne parfaitement !

tyrann@tyrann:~$ fglrxinfo 
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI MOBILITY RADEON 9600/9700 Series
OpenGL version string: 2.0.6473 (8.37.6)

tyrann@tyrann:~$ glxinfo | grep rendering
direct rendering: Yes

Et j'arrive à faire tourner le cub de fgl_glxgears... (Ce que je n'arrivais pas à faire avant sans XGL... Et encore...)

Par contre, je n'arrive toujours pas à démarrer compiz car il me dit toujours que mon driver n'est pas whitelisted...

tyrann@tyrann:~$ compiz
Checking for Xgl: not present. 
No whitelisted driver found
aborting and using fallback: /usr/bin/metacity 

tyrann@tyrann:~$ compiz.real
compiz.real (core) - Error: Screen 0 on display ":0.0" already has a window manager; try using the --replace option to replace the current window manager.
compiz.real (core) - Fatal: No manageable screens found on display :0.0
tyrann@tyrann:~$ compiz.real --replace
compiz.real (core) - Fatal: GLX_EXT_texture_from_pixmap is missing
compiz.real (core) - Error: Failed to manage screen: 0
compiz.real (core) - Fatal: No manageable screens found on display :0.0

Dois-je créer un topic séparé ou quelqu'un a la solution direct ?

Merci

Share this post


Link to post
Share on other sites

OMG !

enorme lol. Enfin... Ca fait peur ... Vivement qu'ils filent les specs pour qu'on ai plus ce genre de code ... :transpi:

Share this post


Link to post
Share on other sites

Excusez-moi, je suis sûr que le sujet a déjà été épinglé, mais vu que mes recherches ne m'on pas convaincu et que la question ne mérite pas un nouveau sujet, je le pose ici.

Voici ma question :

J'ai un Intel Core 2 T5200. Je souhaite passer sous linux Debian.

Si je ne me trompe pas c'est un processeur 64 bits.

Quel architecture est le mieuyx adapté, am64 ou i386 ?

Merci de répondre à ma quesiton (stupide sans doute).

Share this post


Link to post
Share on other sites

Il y a rétro-compatibilité x86_64 > x86, heureusement.

Donc le i386 devrait fonctionner parfaitement normalement.

Share this post


Link to post
Share on other sites
Donc le i386 devrait fonctionner parfaitement normalement.

Non c'est sur ! Pourquoi y aurait-il un problème à ce niveau ???

Ce serait bien bizarre (je trouve)

Share this post


Link to post
Share on other sites

Le normalement allait avec le parfaitement (mais ça peut prêter à confusion effectivement :sm: )

Share this post


Link to post
Share on other sites

petite info qui intéressera sûrement Aefron : bubuntu existe! donc voila, s'il se "trompe" de lettres, il tombera peut être juste quand même! :roll:

:reflechis:

bref, pour la petite histoire, ça dérive d'ubuntu, avec du gnome pour l'environnement, mais des soft kde + les quelques habituels qu'on trouve sous windows (vlc, thunderbird, etc...) + des modifications de raccourcis pour coller à ceux de windows + une présentation de bureau du style windows (une seule barre en bas, un seul menu reunissant tout au lieu des trois magnifiques petits menu gnoome)

PS : j'ai saisi pourquoi avec ubuntu 6.10, ma swap n'était pas active au démarrage du système : un simple problème d'UUID... qui empêchais de booter depuis la migration en 7.04. bref, on attribue un label, on pond l'UUID, on corrige le fstab et ca roule.

bon, gkrellm me détecte une swap de 4Go alors que la partition en fais 2. mais vu l'utilité (1Go de ram) je suis pas prêt de voir si ça va poser problème.

en revanche, si je lance gparted, il essaye de me remonter des partitions... enfin celles que j'avais en 6.10 : conclusion, des doublons de partoches dans le gestionnaire de fichier, qu'on ne peux pas démonter (à part reboot) + 1 portant le label que j'ai modifié depuis. Une reconfiguration de gparted peux corriger ça, ou bien il faut bricoler des fichiers de gparted?

Share this post


Link to post
Share on other sites

hello tout le monde

je voudrais savoir le nom d'un logiciel pour permettre a un dd actuellement sous windows en NTFS de pouvoir fonctionner sour linux ???

Je doit crée un topic ou quelqu'un a une solution directement ???

Share this post


Link to post
Share on other sites

salut.

par marcher, tu entends lecture/écriture ou bien partage de fichiers?

en gros ntfs-3g pour le premier, samba pour le second.

Share this post


Link to post
Share on other sites

bein en fait la le dd tourne sur un windows et je voudrais le devouer entiérement a linux !!!

donc ntfs-3g non ??

Merci pour le coup de main!!!

Edited by pspman56

Share this post


Link to post
Share on other sites

:transpi:

piouf, à peine le temps de geeker .... ou dans mon lug irl ^^

bein en fait la le dd tourne sur un windows et je voudrais le devouer entiérement a linux !!!

donc ntfs-3g non ??

Merci pour le coup de main!!!

je pense que certaines choses ne sont pas claires concernant linux pour toi, je te conseillerai d'aller lire les topics de débutants (débuter, choisir sa distrib, etc) dont tu as des liens en levant un peu les yeux sur le bandeau du forum.

ntfs est un système de fichier de microsoft et linux n'a pas pour habitude de tourner dessus, on le met sur des systèmes de fichiers ouverts et bien plus performants :-D

donc si tu veux installer linux sur ton DD, il faudra au choix (suivant ce que tu veux)

:D tout formater pour faire les partitions nécessaires à ta distribution linux

:D défragmenter ta partition en ntfs (pour ne pas tout casser) , la réduire et installer ya distribution linux dans l'espace restant, linux pouvant accéder aux données de la partition en ntfs (suivant la distribution que tu choisis la réduction de la taille de ta partition peut être faite pendant l'installation)

en gros ça dépend si tu souhaites conserver des données et accéder à celles-ci depuis un windows ou si tu veux réellement n'installer qu'un système linux dessus.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×
×
  • Create New...